singleton Material(van_signal_L)
{
   mapTo = "van_signal_L";
};

singleton Material(van_signal_R)
{
   mapTo = "van_signal_R";
};

singleton Material(van_taillight)
{
   mapTo = "van_taillight";
};

singleton Material(van_taillight_L)
{
   mapTo = "van_taillight_L";
};

singleton Material(van_taillight_R)
{
   mapTo = "van_taillight_R";
};

singleton Material(van_reverselight)
{
    mapTo = "van_reverselight";
};

singleton Material(van_lights)
{
    mapTo = "van_lights";
    diffuseMap[1] = "vehicles/van/van_lights_d.dds";
    specularMap[1] = "vehicles/van/van_lights_s.dds";
    normalMap[1] = "vehicles/van/van_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_lights_n.dds";
    //diffuseMap[2] = "vehicles/van/van_lights_dirt.dds";
    //normalMap[2] = "vehicles/van/van_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights_on)
{
    mapTo = "van_lights_on";
    diffuseMap[2] = "vehicles/van/van_lights_g.dds";
    specularMap[2] = "vehicles/van/van_lights_s.dds";
    normalMap[2] = "vehicles/van/van_lights_n.dds";
    diffuseMap[1] = "vehicles/van/van_lights_d.dds";
    specularMap[1] = "vehicles/van/van_lights_s.dds";
    normalMap[1] = "vehicles/van/van_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_lights_n.dds";
    //diffuseMap[3] = "vehicles/van/van_lights_dirt.dds";
    //normalMap[3] = "vehicles/van/van_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights_on_intense)
{
    mapTo = "van_lights_on_intense";
    diffuseMap[2] = "vehicles/van/van_lights_g.dds";
    specularMap[2] = "vehicles/van/van_lights_s.dds";
    normalMap[2] = "vehicles/van/van_lights_n.dds";
    diffuseMap[1] = "vehicles/van/van_lights_d.dds";
    specularMap[1] = "vehicles/van/van_lights_s.dds";
    normalMap[1] = "vehicles/van/van_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_lights_n.dds";
    //diffuseMap[3] = "vehicles/van/van_lights_dirt.dds";
    //normalMap[3] = "vehicles/van/van_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.30";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights_dmg)
{
    mapTo = "van_lights_dmg";
    diffuseMap[1] = "vehicles/van/van_lights_dmg_d.dds";
    specularMap[1] = "vehicles/van/van_lights_dmg_s.dds";
    normalMap[1] = "vehicles/van/van_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_lights_dmg_n.dds";
    //diffuseMap[2] = "vehicles/van/van_lights_dirt.dds";
    //normalMap[2] = "vehicles/van/van_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tr_haybale)
{
    mapTo = "haybale";
    diffuseMap[0] = "vehicles/haybale/haybale_d.dds";
    specularMap[0] = "vehicles/haybale/haybale_s.dds";
    normalMap[0] = "vehicles/haybale/haybale_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "64";
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(tr_haybale2)
{
    mapTo = "haybale2";
    diffuseMap[0] = "vehicles/haybale/haybale2_d.dds";
    specularMap[0] = "vehicles/haybale/haybale_s.dds";
    normalMap[0] = "vehicles/haybale/haybale_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "64";
    //subSurface[0] = "1";
    //subSurfaceColor[0] = "0.996078 0.992157 0.992157 1";
    //subSurfaceRolloff[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(tr_haybale3)
{
    mapTo = "haybale3";
    diffuseMap[0] = "vehicles/haybale/haybale3_d.dds";
    specularMap[0] = "vehicles/haybale/haybale_s.dds";
    normalMap[0] = "vehicles/haybale/haybale_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "64";
    subSurface[0] = "1";
    subSurfaceColor[0] = "0.996078 0.992157 0.992157 1";
    subSurfaceRolloff[0] = "0.4";
    materialTag0 = "beamng"; materialTag1 = "object";
    doubleSided = "1";
};

singleton Material(trailer_Log_body)
{
   mapTo = "pickup_log_body";
   diffuseMap[0] = "Log_body.jpg";
   normalMap[0] = "Log_body_n.jpg";
   specularPower[0] = "10";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
};

singleton Material(trailer_lights)
{
    mapTo = "trailer_lights";
    diffuseMap[1] = "vehicles/van/van_lights_d.dds";
    specularMap[1] = "vehicles/van/van_lights_s.dds";
    normalMap[1] = "vehicles/van/van_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_lights_n.dds";
    //diffuseMap[2] = "vehicles/van/van_lights_dirt.dds";
    //normalMap[2] = "vehicles/van/van_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(trailer_lights_on)
{
    mapTo = "trailer_lights_on";
    diffuseMap[2] = "vehicles/van/van_lights_g.dds";
    specularMap[2] = "vehicles/van/van_lights_s.dds";
    normalMap[2] = "vehicles/van/van_lights_n.dds";
    diffuseMap[1] = "vehicles/van/van_lights_d.dds";
    specularMap[1] = "vehicles/van/van_lights_s.dds";
    normalMap[1] = "vehicles/van/van_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_lights_n.dds";
    //diffuseMap[3] = "vehicles/van/van_lights_dirt.dds";
    //normalMap[3] = "vehicles/van/van_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(trailer_lights_on_intense)
{
    mapTo = "trailer_lights_on_intense";
    diffuseMap[2] = "vehicles/van/van_lights_g.dds";
    specularMap[2] = "vehicles/van/van_lights_s.dds";
    normalMap[2] = "vehicles/van/van_lights_n.dds";
    diffuseMap[1] = "vehicles/van/van_lights_d.dds";
    specularMap[1] = "vehicles/van/van_lights_s.dds";
    normalMap[1] = "vehicles/van/van_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_lights_n.dds";
    //diffuseMap[3] = "vehicles/van/van_lights_dirt.dds";
    //normalMap[3] = "vehicles/van/van_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.30";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(trailer_lights_dmg)
{
    mapTo = "trailer_lights_dmg";
    diffuseMap[1] = "vehicles/van/van_lights_dmg_d.dds";
    specularMap[1] = "vehicles/van/van_lights_dmg_s.dds";
    normalMap[1] = "vehicles/van/van_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_lights_dmg_n.dds";
    //diffuseMap[2] = "vehicles/van/van_lights_dirt.dds";
    //normalMap[2] = "vehicles/van/van_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(trailer_signal_L)
{
    mapTo = "trailer_signal_L";
};

singleton Material(trailer_signal_R)
{
    mapTo = "trailer_signal_R";
};


singleton Material(trailer_taillight_L)
{
    mapTo = "trailer_taillight_L";
};

singleton Material(trailer_taillight_R)
{
    mapTo = "trailer_taillight_R";
};


singleton Material(trailer_reverselight)
{
    mapTo = "trailer_reverselight";
};

singleton Material(trailer_runninglight)
{
    mapTo = "trailer_runninglight";
};
singleton Material(trailer_metal_box)
{
    mapTo = "trailer_metal_box";
    diffuseMap[1] = "vehicles/metal_box/metal_box_D.dds";
    specularMap[1] = "vehicles/metal_box/metal_box_S.dds";
    normalMap[1] = "vehicles/metal_box/metal_box_N.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/metal_box/metal_box_N.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(trailer_metal_box_decals)
{
    mapTo = "trailer_metal_box_decals";
    diffuseMap[1] = "vehicles/metal_box/metal_box_decals.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0 0 0 0";
    diffuseColor[1] = "1 1 1 0.6";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(van_taillight)
{
    mapTo = "van_taillight";
};

singleton Material(van_taillight_L)
{
    mapTo = "van_taillight_L";
};

singleton Material(van_taillight_R)
{
    mapTo = "van_taillight_R";
};
